package com.fp.frontend.enums;

/**
 * Numeracion usada para las opciones del modal.
 *
 * @author amerchan
 */
public enum EnumLovOption {

    MODAL("modal"), DRAGGABLE("draggable"), RESIZABLE("resizable"), WIDTH("width"),
    HEIGHT("height"), CONTENT_WIDTH("contentWidth"), CONTENT_HEIGHT("contentHeight");

    /**
     * Etiqueta que describe el enumerado.
     */
    private String label;

    /**
     * Instancia un nuevo enumerado afirmacion.
     *
     * @param label Etiqueta
     */
    private EnumLovOption(String label) {
        this.label = label;
    }

    /**
     * Gets the label.
     *
     * @return the label
     */
    public String getLabel() {
        return this.label;
    }

    /**
     * Instancia un objeto de tipo EnumLovOption.
     *
     * @param Codigo de la enumeracion
     * @return Objeto tipo EnumAfirmacion
     */
    public static EnumLovOption getEnumLovOption(String code) {
        for (EnumLovOption sts : EnumLovOption.values()) {
            if (sts.name().compareTo(code) == 0) {
                return sts;
            }
        }
        return null;
    }

    /* (non-Javadoc)
	 * @see java.lang.Enum#toString()
     */
    @Override
    public String toString() {
        return this.label;
    }
}
